Settings (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class Settings

    java.lang.Object
      org.hibernate.cfg.Settings

    public final class Settings

extends Object

Settings that affect the behaviour of Hibernate at runtime.

Method Summary
`String` | `getCacheRegionPrefix()`
`ConnectionReleaseMode` | `getConnectionReleaseMode()`
`int` | `getDefaultBatchFetchSize()`
`String` | `getDefaultCatalogName()`
`EntityMode` | `getDefaultEntityMode()`
`String` | `getDefaultSchemaName()`
`EntityTuplizerFactory` | `getEntityTuplizerFactory()`
`String` | `getImportFiles()`
`int` | `getJdbcBatchSize()`
`Integer` | `getJdbcFetchSize()`
`JtaPlatform` | `getJtaPlatform()`
`Integer` | `getMaximumFetchDepth()`
`MultiTenancyStrategy` | `getMultiTenancyStrategy()`
`QueryCacheFactory` | `getQueryCacheFactory()`
`Map` | `getQuerySubstitutions()`
`QueryTranslatorFactory` | `getQueryTranslatorFactory()`
`RegionFactory` | `getRegionFactory()`
`String` | `getSessionFactoryName()`
`boolean` | `isAutoCloseSessionEnabled()`
`boolean` | `isAutoCreateSchema()`
`boolean` | `isAutoDropSchema()`
`boolean` | `isAutoUpdateSchema()`
`boolean` | `isAutoValidateSchema()`
`boolean` | `isCheckNullability()`
`boolean` | `isCommentsEnabled()`
`boolean` | `isDataDefinitionImplicitCommit()`
`boolean` | `isDataDefinitionInTransactionSupported()`
`boolean` | `isFlushBeforeCompletionEnabled()`
`boolean` | `isGetGeneratedKeysEnabled()`
`boolean` | `isIdentifierRollbackEnabled()`
`boolean` | `isJdbcBatchVersionedData()`
`boolean` | `isMinimalPutsEnabled()`
`boolean` | `isNamedQueryStartupCheckingEnabled()`
`boolean` | `isOrderInsertsEnabled()`
`boolean` | `isOrderUpdatesEnabled()`
`boolean` | `isQueryCacheEnabled()`
`boolean` | `isScrollableResultSetsEnabled()`
`boolean` | `isSecondLevelCacheEnabled()`
`boolean` | `isSessionFactoryNameAlsoJndiName()`
`boolean` | `isStatisticsEnabled()`
`boolean` | `isStrictJPAQLCompliance()`
`boolean` | `isStructuredCacheEntriesEnabled()`
`boolean` | `isWrapResultSetsEnabled()`
`void` | `setCheckNullability(boolean checkNullability)`
`void` | `setImportFiles(String importFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getImportFiles

    public String getImportFiles()

### setImportFiles

    public void setImportFiles(String importFiles)

### getDefaultSchemaName

    public String getDefaultSchemaName()

### getDefaultCatalogName

    public String getDefaultCatalogName()

### getJdbcBatchSize

    public int getJdbcBatchSize()

### getDefaultBatchFetchSize

    public int getDefaultBatchFetchSize()

### getQuerySubstitutions

    public Map getQuerySubstitutions()

### isIdentifierRollbackEnabled

    public boolean isIdentifierRollbackEnabled()

### isScrollableResultSetsEnabled

    public boolean isScrollableResultSetsEnabled()

### isGetGeneratedKeysEnabled

    public boolean isGetGeneratedKeysEnabled()

### isMinimalPutsEnabled

    public boolean isMinimalPutsEnabled()

### getJdbcFetchSize

    public Integer getJdbcFetchSize()

### getSessionFactoryName

    public String getSessionFactoryName()

### isSessionFactoryNameAlsoJndiName

    public boolean isSessionFactoryNameAlsoJndiName()

### isAutoCreateSchema

    public boolean isAutoCreateSchema()

### isAutoDropSchema

    public boolean isAutoDropSchema()

### isAutoUpdateSchema

    public boolean isAutoUpdateSchema()

### getMaximumFetchDepth

    public Integer getMaximumFetchDepth()

### getRegionFactory

    public RegionFactory getRegionFactory()

### isQueryCacheEnabled

    public boolean isQueryCacheEnabled()

### isCommentsEnabled

    public boolean isCommentsEnabled()

### isSecondLevelCacheEnabled

    public boolean isSecondLevelCacheEnabled()

### getCacheRegionPrefix

    public String getCacheRegionPrefix()

### getQueryCacheFactory

    public QueryCacheFactory getQueryCacheFactory()

### isStatisticsEnabled

    public boolean isStatisticsEnabled()

### isJdbcBatchVersionedData

    public boolean isJdbcBatchVersionedData()

### isFlushBeforeCompletionEnabled

    public boolean isFlushBeforeCompletionEnabled()

### isAutoCloseSessionEnabled

    public boolean isAutoCloseSessionEnabled()

### getConnectionReleaseMode

    public ConnectionReleaseMode getConnectionReleaseMode()

### getQueryTranslatorFactory

    public QueryTranslatorFactory getQueryTranslatorFactory()

### isWrapResultSetsEnabled

    public boolean isWrapResultSetsEnabled()

### isOrderUpdatesEnabled

    public boolean isOrderUpdatesEnabled()

### isOrderInsertsEnabled

    public boolean isOrderInsertsEnabled()

### isStructuredCacheEntriesEnabled

    public boolean isStructuredCacheEntriesEnabled()

### getDefaultEntityMode

    public EntityMode getDefaultEntityMode()

### isAutoValidateSchema

    public boolean isAutoValidateSchema()

### isDataDefinitionImplicitCommit

    public boolean isDataDefinitionImplicitCommit()

### isDataDefinitionInTransactionSupported

    public boolean isDataDefinitionInTransactionSupported()

### isStrictJPAQLCompliance

    public boolean isStrictJPAQLCompliance()

### isNamedQueryStartupCheckingEnabled

    public boolean isNamedQueryStartupCheckingEnabled()

### getEntityTuplizerFactory

    public EntityTuplizerFactory getEntityTuplizerFactory()

### isCheckNullability

    public boolean isCheckNullability()

### setCheckNullability

    public void setCheckNullability(boolean checkNullability)

### getJtaPlatform

    public JtaPlatform getJtaPlatform()

### getMultiTenancyStrategy

    public MultiTenancyStrategy getMultiTenancyStrategy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.